IdeaWorkspace (Gradle API 4.9)
Date: 2018-07-16

org.gradle.plugins.ide.idea.model

## Class IdeaWorkspace

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.IdeaWorkspace

-     public class IdeaWorkspace
      extends Object

  Enables fine-tuning workspace details (*.iws file) of the IDEA plugin.

  At the moment, the only practical way of manipulating the resulting content is via the withXml hook:

       apply plugin: 'java'
       apply plugin: 'idea'

       idea.workspace.iws.withXml { provider ->
           provider.asNode().appendNode('gradleRocks', 'true')
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdeaWorkspace()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XmlFileContentMerger` | `getIws()` Enables advanced manipulation of the output XML.
    `void` | `iws(Action<? super XmlFileContentMerger> action)` Enables advanced manipulation of the output XML.
    `void` | `iws(Closure closure)` Enables advanced manipulation of the output XML.
    `void` | `mergeXmlWorkspace(Workspace xmlWorkspace)`
    `void` | `setIws(XmlFileContentMerger iws)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdeaWorkspace

          public IdeaWorkspace()

  - ### Method Detail

    - #### getIws

          public XmlFileContentMerger getIws()

      Enables advanced manipulation of the output XML.

      For example see docs for `IdeaWorkspace`

    - #### setIws

          public void setIws(XmlFileContentMerger iws)

    - #### iws

          public void iws(Closure closure)

      Enables advanced manipulation of the output XML.

      For example see docs for `IdeaWorkspace`

    - #### iws

          public void iws(Action<? super XmlFileContentMerger> action)

      Enables advanced manipulation of the output XML.

      For example see docs for `IdeaWorkspace`

      Since:
        3.5

    - #### mergeXmlWorkspace

          public void mergeXmlWorkspace(Workspace xmlWorkspace)